/* hold some magic info */

static struct MsgPort *TimerPort;
struct timerequest TimerIO;
ULONG TimerSigMask;

/* open up the timer for use */

BOOL OpenTimer(void)
{
	if (!(TimerPort = CreatePort(NULL, 0)))
		return FALSE;

	TimerSigMask = 1L << TimerPort->mp_SigBit;

	if (OpenDevice(TIMERNAME, UNIT_VBLANK, (struct IORequest *) & TimerIO, 0)) {
		DeletePort(TimerPort);
		return FALSE;
	}

	TimerIO.tr_node.io_Message.mn_ReplyPort = TimerPort;

	return TRUE;
}

 /* shut down our timer handling stuff */

void CloseTimer(void)
{
	CloseDevice((struct IORequest *) & TimerIO);
	DeletePort(TimerPort);
}
